public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] proj/sci:master commit in: sci-biology/ntCard/
@ 2018-02-09 22:36 Martin Mokrejs
  0 siblings, 0 replies; 4+ messages in thread
From: Martin Mokrejs @ 2018-02-09 22:36 UTC (permalink / raw
  To: gentoo-commits

commit:     9937ba8b1340a6187cddeb99a4f4b7d45e252eb4
Author:     Martin Mokrejš <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
AuthorDate: Fri Feb  9 22:36:34 2018 +0000
Commit:     Martin Mokrejs <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
CommitDate: Fri Feb  9 22:36:34 2018 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=9937ba8b

sci-biology/ntCard: new package

Package-Manager: Portage-2.3.23, Repoman-2.3.6

 sci-biology/ntCard/metadata.xml        | 12 ++++++++++++
 sci-biology/ntCard/ntCard-1.0.1.ebuild | 23 +++++++++++++++++++++++
 sci-biology/ntCard/ntCard-9999.ebuild  | 23 +++++++++++++++++++++++
 3 files changed, 58 insertions(+)

diff --git a/sci-biology/ntCard/metadata.xml b/sci-biology/ntCard/metadata.xml
new file mode 100644
index 000000000..138cb7705
--- /dev/null
+++ b/sci-biology/ntCard/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>mmokrejs@fold.natur.cuni.cz</email>
+		<name>Martin Mokrejs</name>
+	</maintainer>
+	<maintainer type="project">
+		<email>sci-biology@gentoo.org</email>
+		<name>Gentoo Biology Project</name>
+	</maintainer>
+</pkgmetadata>

diff --git a/sci-biology/ntCard/ntCard-1.0.1.ebuild b/sci-biology/ntCard/ntCard-1.0.1.ebuild
new file mode 100644
index 000000000..14470723a
--- /dev/null
+++ b/sci-biology/ntCard/ntCard-1.0.1.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils
+
+DESCRIPTION="Estimate k-mer coverage histogram of genomics data"
+HOMEPAGE="https://github.com/bcgsc/ntCard"
+SRC_URI="https://github.com/bcgsc/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND=""
+RDEPEND="${DEPEND}"
+
+src_prepare(){
+	sh ./autogen.sh || die
+	default
+}

diff --git a/sci-biology/ntCard/ntCard-9999.ebuild b/sci-biology/ntCard/ntCard-9999.ebuild
new file mode 100644
index 000000000..15b29ff93
--- /dev/null
+++ b/sci-biology/ntCard/ntCard-9999.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils git-r3
+
+DESCRIPTION="Estimate k-mer coverage histogram of genomics data"
+HOMEPAGE="https://github.com/bcgsc/ntCard"
+EGIT_REPO_URI="https://github.com/bcgsc/ntCard.git"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS=""
+IUSE=""
+
+DEPEND=""
+RDEPEND="${DEPEND}"
+
+src_prepare(){
+	sh ./autogen.sh || die
+	default
+}


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] proj/sci:master commit in: sci-biology/ntCard/
@ 2018-02-09 23:02 Martin Mokrejs
  0 siblings, 0 replies; 4+ messages in thread
From: Martin Mokrejs @ 2018-02-09 23:02 UTC (permalink / raw
  To: gentoo-commits

commit:     3ea8b67d25a9dc2e67062a3e6556cf881a27225e
Author:     Martin Mokrejš <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
AuthorDate: Fri Feb  9 23:02:28 2018 +0000
Commit:     Martin Mokrejs <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
CommitDate: Fri Feb  9 23:02:28 2018 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=3ea8b67d

sci-biology/ntCard: Add IUSE=openmp so one can disable OpenMP

Package-Manager: Portage-2.3.23, Repoman-2.3.6

 sci-biology/ntCard/ntCard-1.0.1.ebuild | 8 +++++++-
 sci-biology/ntCard/ntCard-9999.ebuild  | 8 +++++++-
 2 files changed, 14 insertions(+), 2 deletions(-)

diff --git a/sci-biology/ntCard/ntCard-1.0.1.ebuild b/sci-biology/ntCard/ntCard-1.0.1.ebuild
index 14470723a..29c36746b 100644
--- a/sci-biology/ntCard/ntCard-1.0.1.ebuild
+++ b/sci-biology/ntCard/ntCard-1.0.1.ebuild
@@ -12,7 +12,7 @@ SRC_URI="https://github.com/bcgsc/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
 LICENSE="MIT"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE=""
+IUSE="openmp"
 
 DEPEND=""
 RDEPEND="${DEPEND}"
@@ -21,3 +21,9 @@ src_prepare(){
 	sh ./autogen.sh || die
 	default
 }
+
+src_configure() {
+	local myconf=()
+	use openmp || myconf+=( --disable-openmp )
+	econf ${myconf[@]}
+}

diff --git a/sci-biology/ntCard/ntCard-9999.ebuild b/sci-biology/ntCard/ntCard-9999.ebuild
index 15b29ff93..e6dff7db4 100644
--- a/sci-biology/ntCard/ntCard-9999.ebuild
+++ b/sci-biology/ntCard/ntCard-9999.ebuild
@@ -12,7 +12,7 @@ EGIT_REPO_URI="https://github.com/bcgsc/ntCard.git"
 LICENSE="MIT"
 SLOT="0"
 KEYWORDS=""
-IUSE=""
+IUSE="openmp"
 
 DEPEND=""
 RDEPEND="${DEPEND}"
@@ -21,3 +21,9 @@ src_prepare(){
 	sh ./autogen.sh || die
 	default
 }
+
+src_configure() {
+	local myconf=()
+	use openmp || myconf+=( --disable-openmp )
+	econf ${myconf[@]}
+}


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] proj/sci:master commit in: sci-biology/ntCard/
@ 2018-12-14  0:01 Martin Mokrejs
  0 siblings, 0 replies; 4+ messages in thread
From: Martin Mokrejs @ 2018-12-14  0:01 UTC (permalink / raw
  To: gentoo-commits

commit:     0902791ca230576cf856782859990923b89ff629
Author:     Martin Mokrejs <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
AuthorDate: Fri Dec 14 00:01:17 2018 +0000
Commit:     Martin Mokrejs <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
CommitDate: Fri Dec 14 00:01:17 2018 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=0902791c

sci-biology/ntCard: version bump

Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Martin Mokrejs <mmokrejs <AT> fold.natur.cuni.cz>

 sci-biology/ntCard/{ntCard-1.0.1.ebuild => ntCard-1.1.0.ebuild} | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/sci-biology/ntCard/ntCard-1.0.1.ebuild b/sci-biology/ntCard/ntCard-1.1.0.ebuild
similarity index 79%
rename from sci-biology/ntCard/ntCard-1.0.1.ebuild
rename to sci-biology/ntCard/ntCard-1.1.0.ebuild
index 29c36746b..580b91962 100644
--- a/sci-biology/ntCard/ntCard-1.0.1.ebuild
+++ b/sci-biology/ntCard/ntCard-1.1.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -7,7 +7,7 @@ inherit eutils
 
 DESCRIPTION="Estimate k-mer coverage histogram of genomics data"
 HOMEPAGE="https://github.com/bcgsc/ntCard"
-SRC_URI="https://github.com/bcgsc/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI="https://github.com/bcgsc/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
 
 LICENSE="MIT"
 SLOT="0"


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] proj/sci:master commit in: sci-biology/ntCard/
@ 2021-03-06 13:04 Andrew Ammerlaan
  0 siblings, 0 replies; 4+ messages in thread
From: Andrew Ammerlaan @ 2021-03-06 13:04 UTC (permalink / raw
  To: gentoo-commits

commit:     914a062a4a40fb9212c8e59a8d5f290e3ef07812
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Sat Mar  6 12:58:36 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Sat Mar  6 12:58:36 2021 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=914a062a

sci-biology/ntCard: EAPI bump, vers bump

Package-Manager: Portage-3.0.16, Repoman-3.0.2
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 .../ntCard/{ntCard-1.1.0.ebuild => ntCard-1.2.2.ebuild}       | 11 ++++++-----
 sci-biology/ntCard/ntCard-9999.ebuild                         |  9 ++++++---
 2 files changed, 12 insertions(+), 8 deletions(-)

diff --git a/sci-biology/ntCard/ntCard-1.1.0.ebuild b/sci-biology/ntCard/ntCard-1.2.2.ebuild
similarity index 73%
rename from sci-biology/ntCard/ntCard-1.1.0.ebuild
rename to sci-biology/ntCard/ntCard-1.2.2.ebuild
index 580b91962..20a9d495a 100644
--- a/sci-biology/ntCard/ntCard-1.1.0.ebuild
+++ b/sci-biology/ntCard/ntCard-1.2.2.ebuild
@@ -1,18 +1,19 @@
-# Copyright 1999-2018 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
-
-inherit eutils
+EAPI=7
 
 DESCRIPTION="Estimate k-mer coverage histogram of genomics data"
 HOMEPAGE="https://github.com/bcgsc/ntCard"
-SRC_URI="https://github.com/bcgsc/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI="https://github.com/bcgsc/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
 
 LICENSE="MIT"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
+
 IUSE="openmp"
+# requires network
+RESTRICT="test"
 
 DEPEND=""
 RDEPEND="${DEPEND}"

diff --git a/sci-biology/ntCard/ntCard-9999.ebuild b/sci-biology/ntCard/ntCard-9999.ebuild
index e6dff7db4..72d44fd87 100644
--- a/sci-biology/ntCard/ntCard-9999.ebuild
+++ b/sci-biology/ntCard/ntCard-9999.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
-inherit eutils git-r3
+inherit git-r3
 
 DESCRIPTION="Estimate k-mer coverage histogram of genomics data"
 HOMEPAGE="https://github.com/bcgsc/ntCard"
@@ -12,7 +12,10 @@ EGIT_REPO_URI="https://github.com/bcgsc/ntCard.git"
 LICENSE="MIT"
 SLOT="0"
 KEYWORDS=""
+
 IUSE="openmp"
+# requires network
+RESTRICT="test"
 
 DEPEND=""
 RDEPEND="${DEPEND}"


^ permalink raw reply related	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2021-03-06 13:04 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-03-06 13:04 [gentoo-commits] proj/sci:master commit in: sci-biology/ntCard/ Andrew Ammerlaan
  -- strict thread matches above, loose matches on Subject: below --
2018-12-14  0:01 Martin Mokrejs
2018-02-09 23:02 Martin Mokrejs
2018-02-09 22:36 Martin Mokrejs

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox